package com.xinelu.manage.domain.orderevaluatepictureinfo;


import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;


/**
 * 订单评价图片信息对象 order_evaluate_picture_info
 *
 * @author xinyilu
 * @date 2022-11-18
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "订单评价图片信息对象", description = "order_evaluate_picture_info")
public class OrderEvaluatePictureInfo extends BaseDomain implements Serializable {
    private static final long serialVersionUID = 3899576774578974630L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 订单评价主表id
     */
    @ApiModelProperty(value = "订单评价主表id")
    @Excel(name = "订单评价主表id")
    private Long orderEvaluateId;

    /**
     * 订单评价图片路径
     */
    @ApiModelProperty(value = "订单评价图片路径")
    @Excel(name = "订单评价图片路径")
    private String evaluatePictureUrl;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("orderEvaluateId", getOrderEvaluateId())
                .append("evaluatePictureUrl", getEvaluatePictureUrl())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
